unit Main;

interface

uses
  Windows, Classes, Controls, Forms, StdCtrls,
  Menus, ExtCtrls, AppBar;

type
  TForm1 = class(TForm)
    AlwaysOnTopCheck: TCheckBox;
    AutoHideCheck: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    PopupMenu1: TPopupMenu;
    DocktoLeft1: TMenuItem;
    DocktoTop1: TMenuItem;
    DocktoRight1: TMenuItem;
    DocktoBottom1: TMenuItem;
    N1: TMenuItem;
    Undock1: TMenuItem;
    SlidingCheck: TCheckBox;
    N2: TMenuItem;
    CloseAppBardemo1: TMenuItem;
    AppBar1: TAppBar;
    Timer1: TTimer;
    Label6: TLabel;
    Label7: TLabel;
    DontSlideCheck: TCheckBox;
    Label8: TLabel;
    procedure DocktoLeft1Click(Sender: TObject);
    procedure DocktoTop1Click(Sender: TObject);
    procedure DocktoRight1Click(Sender: TObject);
    procedure DocktoBottom1Click(Sender: TObject);
    procedure Undock1Click(Sender: TObject);
    procedure AlwaysOnTopCheckClick(Sender: TObject);
    procedure AutoHideCheckClick(Sender: TObject);
    procedure SlidingCheckClick(Sender: TObject);
    procedure CloseAppBardemo1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure AppBar1Unhiding(Sender: TObject;
      var AllowOperation: Boolean);
    procedure AppBar1Activate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure DontSlideCheckClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  AlwaysOnTopCheck.Checked := AppBar1.AlwaysOnTop;
  AutoHideCheck.Checked := AppBar1.AutoHide;
  SlidingCheck.Checked := AppBar1.Sliding.Enabled;
end;

procedure TForm1.DocktoLeft1Click(Sender: TObject);
begin
  AppBar1.Placement := bpLeft;
end;

procedure TForm1.DocktoTop1Click(Sender: TObject);
begin
  AppBar1.Placement := bpTop;
end;

procedure TForm1.DocktoRight1Click(Sender: TObject);
begin
  AppBar1.Placement := bpRight;
end;

procedure TForm1.DocktoBottom1Click(Sender: TObject);
begin
  AppBar1.Placement := bpBottom;
end;

procedure TForm1.Undock1Click(Sender: TObject);
begin
  AppBar1.Placement := bpFloat;
end;

procedure TForm1.AlwaysOnTopCheckClick(Sender: TObject);
begin
  AppBar1.AlwaysOnTop := AlwaysOnTopCheck.Checked;
end;

procedure TForm1.AutoHideCheckClick(Sender: TObject);
begin
  AppBar1.AutoHide := AutoHideCheck.Checked;
end;

procedure TForm1.SlidingCheckClick(Sender: TObject);
begin
  AppBar1.Sliding.Enabled := SlidingCheck.Checked;
end;

procedure TForm1.DontSlideCheckClick(Sender: TObject);
begin
  AppBar1.DontSlideOnTaskBarWhenAutoHide := DontSlideCheck.Checked;
end;

procedure TForm1.CloseAppBardemo1Click(Sender: TObject);
begin
  Close;
end;

{ }

procedure TForm1.AppBar1Unhiding(Sender: TObject;
  var AllowOperation: Boolean);
begin
  AllowOperation := False;
  Timer1.Enabled := True;
end;

procedure TForm1.AppBar1Activate(Sender: TObject);
begin
  AppBar1.ShowHiddenAppBar(True);
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  if AppBar1.IsMouseOverAppBar then
    AppBar1.ShowHiddenAppBar(True);
  Timer1.Enabled := False;
end;

end.
